import { invigilateExamFinish } from "@/api/invigilation";

export default {
  data() {
    return {
      filter: {
        examId: "",
        roomCode: "",
        paperDownload: null,
        status: null,
        monitorStatusSource: null,
        monitorVideoSource: null,
        name: null,
        identity: null,
        maxWarningCount: undefined,
        minWarningCount: undefined,
      },
    };
  },
  methods: {
    /** 结束监考 */
    async finishInvigilationExam() {
      const result = await this.$confirm(
        "确定要结束监考吗?",
        "结束监考确认提醒",
        {
          confirmButtonText: "确定",
          cancelButtonText: "取消",
          iconClass: "el-icon-warning",
          customClass: "el-message-box__error",
        }
      ).catch(() => {});

      if (!result) return;

      await invigilateExamFinish(this.filter.examId);
      this.$refs.ExamBatchDialog.getExamList();
      this.$message({
        type: "success",
        message: "操作成功!",
      });
    },
    /** 查看详情 */
    toDetail(row) {
      this.$router.push({
        name: "WarningDetail",
        params: { examRecordId: row.examRecordId },
      });
    },
  },
};
